=head1 NAME

GStreamer::Structure

=cut

=for position SYNOPSIS

=head1 SYNOPSIS

	my $structure = {
		name => $name,
		fields => [
			[$field_name, $type, $value],
			[$field_name, $type, $value],
			...
		]
	}

=cut




=head1 METHODS

=head2 structure = GStreamer::Structure::from_string ($string)

=over

=item * $string (string) 

=back



=head2 string = GStreamer::Structure::to_string ($structure)

=over

=item * $structure (GStreamer::Structure) 

=back





=cut


=head1 SEE ALSO

L<GStreamer>


=cut


=head1 COPYRIGHT

Copyright (C) 2005-2011 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<GStreamer> for a full notice.



=cut

